#include "button.h"
#include "window.h"

#define BUTTON_FILL_COLOUR ((colour_t){.abgr = 0xff89a83c})
#define BUTTON_BORDER_COLOUR ((colour_t){.abgr = 0xff768432})

void draw_button(const window_t *wnd, const button_t *button) {
  fill_rect(wnd, &(button->rect), BUTTON_FILL_COLOUR);
  draw_rect(wnd, &(button->rect), BUTTON_BORDER_COLOUR);
}
